%global minorversion 1.4
%global xfceversion 4.10

Name:		xfce4-power-manager
Version:	1.4.1
Release:	4%{?dist}
Summary:	Power management for the Xfce desktop environment

Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://goodies.xfce.org/projects/applications/%{name}
#VCS: git:git://git.xfce.org/xfce/xfce4-power-manager
Source0:	http://archive.xfce.org/src/apps/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2
# Fix XFCE category
#Patch1:		xfce4-power-manager-1.1.0-fix-desktop.patch
# Inhibit systemd from power management when we are running. 
# https://bugzilla.xfce.org/show_bug.cgi?id=9335
Patch2:		xfce4-power-manager-1.2.0-systemd-inhibit.patch
# Fix crash through buggy locales (WTF?)
# Fedora bug:   https://bugzilla.redhat.com/show_bug.cgi?id=754585
# Upstream bug: https://bugzilla.xfce.org/show_bug.cgi?id=8992
# At least en_GB, te, and tr were affected; instead of individual commits, we
# just make one big patch with he latest translations form git as of 2013-03-20
Patch3:		xfce4-power-manager-1.2.0-update-translations.patch
# Patch3:         xfce4-power-manager-1.2.0-en_gb_crash_fix.patch

# Use systemd methods for suspend/hibernate. upower no longer does them.
# https://bugzilla.xfce.org/show_bug.cgi?id=9963
Patch4:		xfce4-power-manager-1.2.0-systemd-suspend-hibernate.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pkgconfig(libxfconf-0) >= 4.6.0
BuildRequires:  pkgconfig(libxfce4ui-1) >= 4.7.0
BuildRequires:  pkgconfig(libxfce4panel-1.0) >= 4.6.0
BuildRequires:  pkgconfig(dbus-1) >= 0.60
BuildRequires:  pkgconfig(dbus-glib-1) >= 0.70
BuildRequires:  pkgconfig(libnotify) >= 0.4.1
BuildRequires:  pkgconfig(xrandr) >= 1.2.0
BuildRequires:  xorg-x11-proto-devel >= 1.0.0
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:	upower-devel
Requires:       xfce4-panel >= %{xfceversion}
Requires:       polkit
Requires:       upower >= 0.9.8

%description
Xfce Power Manager uses the information and facilities provided by HAL to 
display icons and handle user callbacks in an interactive Xfce session.
Xfce Power Preferences allows authorised users to set policy and change 
preferences.


%prep
%setup -q
#%patch1 -p1
#%if 0%{?fedora} >= 18
#%patch2 -p1 -b .inhibit
#%patch4 -p1
#%endif
#%patch3 -p1

%build
%configure
make %{?_smp_mflags} V=1

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
%find_lang %{name}
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-settings.desktop      

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-settings
%{_sbindir}/xfce4-pm-helper
%{_datadir}/appdata/xfce4-power-manager.appdata.xml
%{_libdir}/xfce4/panel/plugins/libxfce4powermanager.so
%{_datadir}/xfce4/panel/plugins/power-manager-plugin.desktop
%{_sbindir}/xfpm-power-backlight-helper
%config %{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_datadir}/applications/%{name}-settings.desktop
%{_datadir}/icons/hicolor/*/*/*.*
%{_datadir}/polkit-1/actions/org.xfce.power.policy
%doc
%{_mandir}/man1/%{name}-settings.1.*
%{_mandir}/man1/%{name}.1.*

%changelog
* Sun Oct 05 2014 Mukundan Ragavan <nonamedotc@gmail.com> - 1.4.1-4
- Initial build for epel-7

* Wed Oct 01 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.4.1-3
- Fix spec file errors and missing dependencies

* Tue Sep 30 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.4.1-2
- disable patch not needed

* Tue Sep 30 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.4.1-1
- Updated to latest upstream version
- changes made to files to accomodate changes in new version

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Apr 13 2013 Kevin Fenzi <kevin@scrye.com> 1.2.0-8
- Add patch to use systemd methods for suspend/hibernate instead of upower. 
- Upsteam bug: https://bugzilla.xfce.org/show_bug.cgi?id=9963

* Thu Mar 21 2013 Christoph Wickert <cwickert@fedoraproject.org> - 1.2.0-7
- Make inhibit patch conditional >= F18 only

* Thu Mar 21 2013 Christoph Wickert <cwickert@fedoraproject.org> - 1.2.0-6
- Fix crash through buggy locales (#754585, #921966)

* Fri Feb 22 2013 Kevin Fenzi <kevin@scrye.com> 1.2.0-5
- Add patch to inhibit systemd from doing power management when we are running. 

* Sun Feb 17 2013 Christoph Wickert <cwickert@fedoraproject.org> - 1.2.0-4
- Require upower and udisks (#890680)

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 29 2012 Christoph Wickert <cwickert@fedoraproject.org> - 1.2.0-1
- Update to 1.2.0 (Xfce 4.10 final)

* Sat Apr 14 2012 Kevin Fenzi <kevin@scrye.com> - 1.1.0-1
- Update to 1.1.0 (Xfce 4.10pre2)

* Tue Apr 03 2012 Kevin Fenzi <kevin@scrye.com> - 1.0.11-1
- Update to 1.0.11

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 10 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.10-2
- Fix crash in brightness management (#736727 and #736964)
- Fix expanding of battery icon after resume (#765726)
- No longer depend on xfce4-doc (#721291)
- Include various patches from GIT
- Update translations from transifex

* Sun Feb 20 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.10-1
- Update to 1.0.10

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 04 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.3-1
- Update to 1.0.3
- No longer require hal because the brightness backend was removed
- Require polkit

* Sun Dec 19 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.2-1
- Update to 1.0.2

* Thu Dec 16 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1-0.1-1
- Update to 1.0.1 on Xfce 4.8 pre2

* Sat Nov 06 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.5-1
- Update to 0.8.5
- Fix for libnotify 0.7.0
- Make build verbose

* Sat Nov 21 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.4.2-1
- Update to 0.8.4.2

* Mon Nov 02 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.4.1-1
- Update to 0.8.4.1

* Tue Sep 29 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.4-1
- Update to 0.8.4
- Drop xfpm_session_set_client_id patch, fixed upstream

* Wed Sep 09 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.3.1-2
- Fix segfault in xfpm_session_set_client_id

* Sun Aug 09 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.3.1-1
- Update to 0.8.3.1

* Sat Aug 01 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.3-1
- Update to 0.8.3

* Thu Jul 30 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.2-3
- Patch to include dpmsconst.h instead of dpms.h

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 09 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.2-1
- Update to 0.8.2

* Mon Jul 06 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.1.1-1
- Update to 0.8.1.1

* Fri Jul 03 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.1-1
- Update to 0.8.1
- Drop libglade2 requirement

* Wed Jun 10 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0 final
- Update gtk-icon-cache scriptlets

* Wed May 20 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-0.3.RC2
- Update to 0.8.0RC2

* Tue Apr 28 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-0.3.RC1
- Update to 0.8.0RC1

* Mon Apr 13 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-0.2.beta2
- Update to 0.8.0beta2
- Drop xfpm-button-hal.patch, no longer necessary

* Mon Apr 13 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-0.2.beta1
- Add xfpm-button-hal.patch by Mike Massonnet

* Sun Apr 12 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-0.1.beta1
- Update to 0.8.0beta1

* Thu Apr 09 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-0.1.alpha2
- Update to 0.8.0alpha2

* Thu Apr 02 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.0-0.1.alpha
- Update to 0.8.0alpha 

* Tue Mar 24 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.5-1
- Update to 0.6.5
- Remove custom autostart file

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 19 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.2-1
- Update to 0.6.2

* Sat Feb  7 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1
- Include additional desktop file for autostarting the app

* Mon Nov 10 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.0-0.1.RC1
- Update to 0.6.0 RC1

* Fri Oct 31 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.0-0.1.0.beta1
- Initial Fedora package
